Bug 1119180 - iproute2: allow to ipv6 set address generation mode
Summary: iproute2: allow to ipv6 set address generation mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: iproute
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Pavel Šimerda (pavlix)
QA Contact: Jaroslav Aster
URL:
Whiteboard:
Depends On:
Blocks: 1133236
TreeView+ depends on / blocked
 
Reported: 2014-07-14 08:35 UTC by Jiri Pirko
Modified: 2015-05-05 01:25 UTC (History)
6 users (show)

Fixed In Version: iproute-3.10.0-21.el7
Doc Type: Enhancement
Doc Text:
Feature: Kernel offers a way to set IPv6 address generation mode. This is the userspace part. Reason: ip command is a tool to configure kernel networking information and this feature was missing in rhel but was present in upstream. Result: ip command can now be used to set IPv6 address generation mode in the kernel.
Clone Of:
: 1133236 (view as bug list)
Environment:
Last Closed: 2015-03-05 13:30:19 UTC


Attachments (Terms of Use)
addrgenmode doc patch (746 bytes, patch)
2014-10-24 11:17 UTC, Jaroslav Aster
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0555 normal SHIPPED_LIVE iproute bug fix and enhancement update 2015-03-05 16:49:53 UTC

Description Jiri Pirko 2014-07-14 08:35:26 UTC
Please backport following upstream patch:

http://patchwork.ozlabs.org/patch/369221/

It was not yet applied to iproute2 git.

Comment 4 Jaroslav Aster 2014-10-20 14:47:56 UTC
Man page was not updated. It is needed to add new command to man page ip-link.

Comment 6 Jaroslav Aster 2014-10-24 11:17:44 UTC
Created attachment 950327 [details]
addrgenmode doc patch

Comment 7 Jaroslav Aster 2014-10-24 11:18:55 UTC
Hi Pavel,

I have no problem with new doc bug, but I must insist to add simple doc to ip-link man page. I have patch for you which does that. Please review it and if it is ok, add this patch into package and propose it to upstream.

Comment 14 errata-xmlrpc 2015-03-05 13:30:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0555.html


Note You need to log in before you can comment on or make changes to this bug.